Bug 466580 - RHEL's emacs, emacs-nox packages should provide emacs(bin)
RHEL's emacs, emacs-nox packages should provide emacs(bin)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: emacs (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Klíč
Ondrej Moriš
:
Depends On:
Blocks: 463019 463020
  Show dependency treegraph
 
Reported: 2008-10-10 19:50 EDT by Michel Alexandre Salim
Modified: 2014-12-16 08:52 EST (History)
4 users (show)

See Also:
Fixed In Version: emacs-21.4-21.el5
Doc Type: Bug Fix
Doc Text:
Previously, the emacs and emacs-nox packages did not provide any convenient way for other packages to specify a dependency that can be satisfied by either of the emacs variants. This update changes the emacs and emacs-nox packages and provides the common symbol "emacs(bin)".
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 06:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-10-10 19:50:31 EDT
Description of problem:
RHEL's emacs and emacs-nox packages do not provide emacs(bin). This means that packages containing emacs modes that are not GUI-specific currently have no way to specify that they want *any* emacs, short of depending on /usr/bin/emacs. And file-based dependencies are frowned upon.

Version-Release number of selected component (if applicable):
21.4-20.el5

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --provides emacs
  
Actual results:
emacs = 21.4-20.el5

Expected results:
Should also provide emacs(bin)

Additional info:
Same change should probably be made to xemacs, but I don't personally use it. For this kind of minimal change, hopefully we don't have to wait for the next service release?
Comment 6 Eva Kopalova 2011-04-20 12:08:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the emacs and emacs-nox packages did not provide any convenient way for other packages to specify a dependency that can be satisfied by either of the emacs variants. This update changes the emacs and emacs-nox packages and provides the common symbol "emacs(bin)".
Comment 7 errata-xmlrpc 2011-04-27 06:11:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0468.html

Note You need to log in before you can comment on or make changes to this bug.